org.apache.ignite.internal.util.nio

## Interface GridNioMessageReaderFactory

    public interface GridNioMessageReaderFactory

Message reader factory.

### Method Summary

Methods
`MessageReader` `reader(GridNioSession ses, MessageFactory msgFactory)` Creates new reader.

### Method Detail

#### reader

    MessageReader reader(GridNioSession ses,
                       MessageFactory msgFactory)
                         throws IgniteCheckedException

Creates new reader.

Parameters:
  `ses` - Current session.
  `msgFactory` - Message factory.
Returns:
  Reader.
Throws:
  `IgniteCheckedException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015